 Welcome

The Oracle Universal Installer guides you through the installation and configuration of your Oracle product.

To familiarize yourself with the button functions, please read the following descriptions before continuing:

Click the About Oracle Universal Installer button if you want to see the version of Oracle Universal Installer you are using.

Click the Deinstall Products button if you want to view and deinstall the components already installed on the machine in all Oracle homes.

Click the Next button if you want to go to the next step.

Click the Previous button if you want to go back to the previous step.

Click the Installed Products button if you want to view the components already installed on the machine in all Oracle homes. You can deinstall a component if necessary.

Click the Help button if you want to view the Oracle Universal Installer Help.

Click the Exit button if you want to exit from the Oracle Universal Installer at any time during the installation.

Note: For information on using response files for silent installations, please refer to the Oracle Universal Installer Concepts Guide and the installation and configuration guide of your product. A response file contains answers to dialogs that otherwise would be provided by the user in an interactive installation session.

After you have read the information above, press the Next button to continue or the Exit button to quit.


 Unix Installer Location

Various operations need to be performed with root privileges at this time.

If you have root privileges, continue with the required operations.

If you do not have root privileges, you are required to run the /tmp/oraInstRoot.sh Bourne shell script, and log on with root privileges.

Note: The Unix Installer Location screen only appears the first time you install.


 Unix Group Name

Please provide the name of the group which should own the base directory.

You must choose a UNIX group name which will have permissions to update/install/deinstall Oracle software. Members of this group must have write permissions to the base directory chosen.

Only users who belong to this group are able to install/deinstall software on this machine.


 File Locations

Enter the stage location of your products and the location where you want the to install your product. Please specify full paths with up to 32 alphanumeric characters.

Note: Do not leave any fields empty.

Source

Path: Enter the full path representing the product(s) you want to install.

The stage location is the centralized location where components have been placed for installations. The components are bundled in one stage location and their description file is products.jar. The Oracle Universal Installer will read this file and provide a list of the components available to be installed.

The stage location may be a local CD-ROM drive, a network drive, or a web location.

Examples
Stage Location | Example
CD-ROM location | D:\<directory_name> which is pre-populated when you run the Universal Installer from a CD-ROM.
Network Drive | /net/<directory_name>/products.jar
Web Location | http://www.oracle.com/81/stage1/products.jar
Destination

Name: Enter an Oracle home name. Oracle homes are identified by name, and the Oracle home name identifies the program group associated with a particular Oracle home, and the Oracle services installed on the associated home. The Oracle home name must be 1 to 16 characters long and can only include alphanumeric characters and underscores. Note: Name field only appears in Windows NT and Windows 95.

Path: Enter the full path of the Oracle home where you want to install your product. This location is the destination directory to which the product will be installed. You may use the Browse button to choose a directory to install your product.


 Stage Location

The stage location is the centralized location where components are placed for installations. The components are bundled in one stage location file. The Oracle Universal Installer reads this file and provides an inventory of the components available to be installed.

Note: the stage location may be over the network, on a CD-ROM, local to the installation destination, or over an internet server.


 Inventory Location

This screen guides you through setting up a base directory for the installation files. The base directory contains inventory and per-product files in subdirectories. This directory must be writable by anyone installing and deinstalling products on this machine.

The inventory configuration files will take approximately 4 MB of disk space.

Per-product installation files are of variable size, depending on the complexity of the products you install. Plan an average of 150 KB per product.


 Available Products

Select a product to install.

These are products available from the stage location.


 Installation Types

The installation type is a pre-defined component set that automatically selects which components and dependency groups to install.

The Installation Types which appear in this screen depend on the dependency modes that the developer had specified when the components were built with the Oracle Software Packager. Installation Types are given a name, followed by a description of what is installed using it.

Examples of Installation Types for a product could be Minimum, Complete, Custom, and Typical, and the order of the types may differ depending on how the installation had been developed.

Examples for the installation types are listed below:

Minimum Installs required dependent components only

Complete Installs all dependent components

Custom Installs end-user selected dependent components. If you choose Custom, a tree listing appears which allows you to specify which dependencies to install.

Typical Installs default dependent components

If no Installation Type is specified, the Oracle Universal Installer proceeds directly with the "Custom" installation.

Note: When the number of Installation Types cannot fit as radio buttons on the screen, you may see a scrollable list of install types instead of radio buttons. Additional information may be provided through pop-up descriptions or an "I" button. For a pop-up description of a specific Installation Type, you can move the mouse cursor over the Installation Type and hold it there briefly to display the description. Press the "I" button for additional information.


 Available Product Components

Select a component from the list box to install.

For more information on a specific component, you can move the mouse cursor over the component and hold it there briefly to display a pop-up description.

The Product Languages button allows you to change the current language setting for running the Oracle product.

Note: Changing the language of a product does not affect the installation session's language. The Oracle Universal Installer runs in the language detected at the operating system level.


 Component Locations

You can select alternative locations for some of the components that will be installed. The list box shows the component or components for which the location may be changed.

To show all components, check the "Show all components to be installed" checkbox.

For more information on a specific component, you can move the mouse cursor over the component in the list box and hold it there briefly to display a pop-up description.

For components in which you can change location, selecting a component brings up a Destination Location field that you can edit and a Change Location button to browse for alternative locations.

The Destination Location field enables you to change the location of the component.

The Change Location button allows you to browse for possible alternative locations for the components.

Available Disk Space shows the available disk space. By default, the disk space is shown for the volume in which the files will be copied to. Disk space is only refreshed when you complete one of the following actions:

Click a different component in the list

Choose a different drive in the disk space panel

Click the Previous button; then, the Next button.

Click the Next button; then, the Previous button.

Check "show all available volumes" to see the disk space on all volumes.

Note: If there is not enough disk space, the items in the problem volume will be displayed in red with an icon next to it.


 Inventory

Through the inventory panel, you can view the Oracle products you have already installed in the Oracle home.

You may also remove the product from the Oracle home by selecting a product and pressing the Remove button.


 Component Information

The Component Information panel shows the highlighted component’s product name, software revision, and description.


installerComponent_Dialog_Help

 Component Dialog Help

No additional details are provided for this dialog.
The component-specific help is provided by the developers of this installation.


 Remove Confirmation

The product you have selected and their dependency groups will be removed.

Click the Yes button to remove the selected product.

Click the No button to dismiss the message box.


 Summary

The Summary screen presents a summary of the options you have selected. Depending on your installation, information may include the following:

Global Settings

Source: The centralized location where components have been placed for installations. To change the Source, you must go back to the File Locations page.

Destination: The location of the Oracle home where you want to install your product. To change the Destination, you must go back to the File Locations page.

Installation Type: A pre-defined component set that automatically selects which components and dependency groups to install. To change the Installation Type, you must go back to the Installation Types page.

Product Languages: The language you have chosen for running the Oracle product. To change Product Languages setting, you must go back to the Available Product Components page.

Space Requirements: The disk space required to install the product. The space requirement appears in a different color if the disk space available is less that what is required.

New Installations: Products to be installed for the first time on the machine.

Upgrades: Products to be upgraded to a higher version.

Downgrades: Products to be downgraded to a lower version.

De-Installations: Products to be removed as part of this installation because no other products depend on them.

Already Installed: Products which are already installed. The Oracle Universal Installer does not install these products.

Note: If there is a disk space shortage and you click the Next button, a warning dialog appears. If you click "no", the space information is refreshed.


 Language Selection

Use Language Selection to choose the languages you want to use to run the Oracle product.

Selecting this option changes the language of the products, which are being installed, and not the language of the installation itself.


 Install

If you want to stop the installation, press Cancel.


 Required Configuration Tools

The Required Configuration Tools screen shows the name and status of the tools which are required to run before the installation is completed.

The status shown for the tool could be succeeded, failed, or pending.

When you select a tool, its details are shown in the Details box. Details are displayed as the tool is running. When a tool is running, you may not see the details of another tool.

If all tools succeed on the first try, the Oracle Universal Installer automatically proceeds to the next page. Otherwise, it remains on the Required Configuration Tools page until all tools are completed successfully. You will then be allowed to click Next to proceed.

If you want to stop a configuration tool while it is running, you can press the Stop button.

If a required tool fails, the Oracle Universal Installer does not allow you to proceed with the installation.


 Optional Configuration Tools

The Optional Configuration Tools screen shows the name and status of the optional tools which you can run during the installation.

The status shown for the tool could be succeeded, failed, or pending.

When you select a tool, its details are shown in the Details box. Details are displayed as the tool is running. When a tool is running, you may not see the details of another tool.

If all tools succeed on the first try, the Oracle Universal Installer automatically proceeds to the next page.

If you want to stop a configuration tool while it is running, you can press the Stop button.

You can still proceed with the installation if the optional tool fails.


 End of Installation

The End of Installation panel informs the user whether the installation was successful or unsuccessful.

To view release information, press the Release Information button. Note: The Release Information button is not available if there is not release information.

To install another product, click the Next Install button.

To Exit from the Oracle Universal Installer, click the Exit button.


 Release Information

To view a readme file, double-click the Release Information button.

From the Release Notes panel, you can specify a viewer to view the document. Click the Done button when you have finished reading.


 Error Dialog

The dialog comes up when an error occurs. For example, running out of disk space while copying files is an exception/error condition.

Read the following button descriptions before continuing:

Retry: Try the action/query again

Ignore: Ignore the error and continue the installation.

Continue: Use the default value and continue the installation.

Cancel: Cancel the installation.


 component creation

Products are packaged into components by the Oracle Software Packager. For detailed information, please refer to Getting Started with Oracle Software Packager.


 dependency tree

If you choose Custom from Installation Types, a hierarchical list of components appears as a tree which allows you to specify which dependencies to install.


 Oracle home

The Oracle home location is where you want to install your product. This location is the destination directory to which the product will be installed.


 stage location/staging area

The stage location is the location from which the Installer installs products.

Note: the stage location may be over the network, on a CD-ROM, local to the installation destination, or over an internet server.